Searched refs:error (Results 1 - 15 of 15) sorted by relevance

/lxc/hooks/
H A Dubuntu-cloud-prep18 error() { echo "$@" 1>&2; } function
19 debug() { [ "$VERBOSITY" -ge "$1" ] || return 0; shift; error "$@"; }
20 fail() { [ $# -eq 0 ] || error "$@"; exit 1; }
49 { error "Unexpected error reading usage"; return 1; }
67 { error "--auth-key: '$next' not a file"; return 1; }
71 { error "--vendordata: '$next' not a file"; return 1; }
75 { error "--userdata: '$next' not a file"; return 1; }
85 error "expected 1 arguments, got ($_LXC_HOOK) $#: $*";
95 error "
[all...]
H A Dunmount-namespace.c122 int error = errno; local
124 errno = error;
170 fprintf(stderr, "%s: usage error, expected LXC hook arguments\n", argv[0]);
231 int error = errno; local
234 argv[0], mounts[zi].dst, strerror(error));
/lxc/templates/
H A Dlxc-cirros.in68 error() { echo "$@" 1>&2; }
97 bad_Usage() { Usage 1>&2; [ $# -eq 0 ] || error "$@"; return 1; }
102 error "${@}"
175 { error "failed to make datasource dir $sdir"; return 1; }
177 { error "failed to clean old data from $sdir"; return 1; }
182 { error "failed to write metadata to $sdir/meta-data"; return 1; }
186 { error "failed to write user-data to $sdir"; return 1; }
202 { error "failed to make rootfs dir ${rootfs_d}"; return 1; }
206 { error "failed to populate ${rootfs_d}"; return 1; }
209 { error "faile
[all...]
/lxc/src/lxc/tools/
H A Dlxc_monitor.c139 goto error;
144 goto error;
203 error:
H A Dlxc-start-ephemeral.in135 parser.error(_("You can't use -d and a command at the same time."))
145 parser.error(_("You can't use -k with the tmpfs storage type."))
150 parser.error(_("Source container '%s' doesn't exist." % args.orig))
160 parser.error(_("A container named '%s' already exists." % args.name))
H A Dlxc-top.lua44 error(result, 2)
/lxc/src/lua-lxc/test/
H A Dapitest.lua39 error(result, 2)
/lxc/src/lxc/
H A Darguments.c221 goto error;
248 error:
H A Dnl.c257 return err->error;
H A Dstart.c64 #include "error.h"
146 goto error;
151 error:
168 goto error;
172 error:
250 /* Block everything except serious error signals. */
647 SYSERROR("Unexpected wait error: %m.");
897 /* Don't error out though. */
938 /* After this call, we are in error because this ops should not return
945 * special error cod
[all...]
H A Dutils.c533 goto error;
539 goto error;
545 goto error;
552 error:
1377 * On success return the template, on error return NULL.
1614 * Return an open fd for the path, or <0 on error.
1853 * Return the number of lines in file @fn, or -1 on error
H A Dnetwork.c482 * Others means error happened, and ret-value is the error number.
559 /* Stop reading if we see an error message */
562 err = errmsg->error;
600 * error */
1209 /* Stop reading if we see an error message */
1212 err = errmsg->error;
1249 * error */
/lxc/src/python-lxc/
H A Dlxc.c65 goto error;
71 goto error;
79 goto error;
95 goto error;
102 error:
464 PyErr_Format(PyExc_RuntimeError, "%s:%s:%d: error during init for container '%s'.",
1771 "(or False on error)."
/lxc/src/lua-lxc/
H A Dlxc.lua44 error(result, 2)
284 -- if line is nil (on an error like Operation not supported because
/lxc/src/lxc/cgroups/
H A Dcgmanager.c45 #include "error.h"
65 #include <nih/error.h>
642 ERROR("cgroup error? 100 cgroups with this name already running");
790 * Return -1 on error.
869 WARN("Failed to warn cgm_get of error; parent may hang");
878 WARN("Failed to warn cgm_get of error; parent may hang");
886 WARN("Failed to warn cgm_get of error; parent may hang");
895 WARN("Failed to warn cgm_get of error; parent may hang");
903 WARN("Failed to warn cgm_get of error; parent may hang");
916 WARN("Failed to warn cgm_get of error; paren
[all...]

Completed in 43 milliseconds